
MULTI_DEPEND_TARGET += user
MULTI_TARGET_CLEAN  += user_clean
MULTI_DEPEND_TARGETD += userd
MULTI_TARGET_CLEAND  += userd_clean

user:$(CONFIG_USER_LIB)
user_clean:$(addsuffix _clean,$(CONFIG_USER_LIB))

userd:$(addsuffix _d,$(CONFIG_USER_LIB))
userd_clean:$(addsuffix _d_clean,$(CONFIG_USER_LIB))

libosd.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_OSD_DIR)/Makefile.mk
libosd.a_d:
	@$(MAKE) debug COMPILE_MODE=debug  -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_OSD_DIR)/Makefile.mk
libosd.a_clean:
	@$(MAKE) clean -f $(USER_OSD_DIR)/Makefile.mk
libosd.a_d_clean:
	@$(MAKE) clean -f $(USER_OSD_DIR)/Makefile.mk

libddcci.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_DDCCI_DIR)/Makefile.mk
libddcci.a_d:
	@$(MAKE) debug COMPILE_MODE=debug -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_DDCCI_DIR)/Makefile.mk
libddcci.a_clean:
	@$(MAKE) clean  -f $(USER_DDCCI_DIR)/Makefile.mk
libddcci.a_d_clean:
	@$(MAKE) clean  -f $(USER_DDCCI_DIR)/Makefile.mk

libdatabase.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_DATABASE_DIR)/Makefile.mk
libdatabase.a_d:
	@$(MAKE) debug COMPILE_MODE=debug -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_DATABASE_DIR)/Makefile.mk
libdatabase.a_clean:
	@$(MAKE) clean  -f $(USER_DATABASE_DIR)/Makefile.mk
libdatabase.a_d_clean:
	@$(MAKE) clean  -f $(USER_DATABASE_DIR)/Makefile.mk

libedid.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_EDID_DIR)/Makefile.mk
libedid.a_d:
	@$(MAKE) debug COMPILE_MODE=debug -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_EDID_DIR)/Makefile.mk
libedid.a_clean:
	@$(MAKE) clean  -f $(USER_EDID_DIR)/Makefile.mk
libedid.a_d_clean:
	@$(MAKE) clean  -f $(USER_EDID_DIR)/Makefile.mk

libplatform.a:
	@$(MAKE) release COMPILE_MODE=release -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_PLATFORM_DIR)/Makefile.mk
libplatform.a_d:
	@$(MAKE) debug COMPILE_MODE=debug -C "$(BUILD_OUT_OBJ_DIR)" -f $(USER_PLATFORM_DIR)/Makefile.mk
libplatform.a_clean:
	@$(MAKE) clean  -f $(USER_PLATFORM_DIR)/Makefile.mk
libplatform.a_d_clean:
	@$(MAKE) clean  -f $(USER_PLATFORM_DIR)/Makefile.mk

